%global commit0 4f5cabb4e32139fb954811414c7afca65e840579
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           rocm-rpm-macros
Version:        5.7.0
Release:        1%{dist}
Summary:        ROCm RPM macros
License:        GPLv2

URL:            https://github.com/trixirt/rocm-rpm-macros
Source0:        %{url}/archive/%{commit0}/rocm-rpm-macros-%{shortcommit0}.tar.gz

Requires:       environment-modules
BuildArch:      noarch
%description
This package contains ROCm RPM macros for building ROCm packages.

%prep
%autosetup -p1 -n rocm-rpm-macros-%{commit0}

%install
mkdir -p %{buildroot}%{_rpmmacrodir}/
install -Dpm 644 macros.rocm %{buildroot}%{_rpmmacrodir}/

%files
%license GPL
%{_rpmmacrodir}/macros.rocm

%changelog
* Sun Oct 8 2023 Tom Rix <trix@redhat.com> 5.7.0-1
- Initial package
